Commits

Eli Bendersky committed 72bfcfd

preparing release 2.07

Comments (0)

Files changed (7)

-+ Version 2.07 (??)
++ Version 2.07 (16.06.2012)
 
   - Issue 54: added an optional parser argument to parse_file
   - Issue 59: added some more fake headers for C99
 include utils/fake_libc_include/*.h
 include README.*
 include LICENSE
+include CHANGES
 include setup.*
 
 recursive-exclude tests yacctab.* lextab.*
 <head>
 <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
 <meta name="generator" content="Docutils 0.6: http://docutils.sourceforge.net/" />
-<title>pycparser v2.06</title>
+<title>pycparser v2.07</title>
 <meta name="author" content="Eli Bendersky" />
 <style type="text/css">
 
 </style>
 </head>
 <body>
-<div class="document" id="pycparser-v2-06">
-<h1 class="title">pycparser v2.06</h1>
+<div class="document" id="pycparser-v2-07">
+<h1 class="title">pycparser v2.07</h1>
 <table class="docinfo" frame="void" rules="none">
 <col class="docinfo-name" />
 <col class="docinfo-content" />
 <div class="section" id="prerequisites">
 <h2>2.1&nbsp;&nbsp;&nbsp;Prerequisites</h2>
 <ul class="simple">
-<li><tt class="docutils literal">pycparser</tt> was tested on Python 2.6 and 3.2, on both Linux and Windows. It should work on any later version (in both the 2.x and 3.x lines) as well.</li>
+<li><tt class="docutils literal">pycparser</tt> was tested on Python 2.6, 2.7 and 3.2, on both Linux and Windows. It should work on any later version (in both the 2.x and 3.x lines) as well.</li>
 <li><tt class="docutils literal">pycparser</tt> uses the PLY module for the actual lexer and parser construction. Install PLY from <a class="reference external" href="http://www.dabeaz.com/ply/">its website</a>.</li>
 </ul>
 </div>
 ===============
-pycparser v2.06
+pycparser v2.07
 ===============
 
 :Author: `Eli Bendersky <http://eli.thegreenplace.net>`_
 Version Update
 --------------
 
-setup.py, __init__.py, README.txt
+setup.py, __init__.py, README.txt, CHANGES
 - Tag in hg
 
 

pycparser/__init__.py

 #-----------------------------------------------------------------
 
 __all__ = ['c_lexer', 'c_parser', 'c_ast']
-__version__ = '2.06'
+__version__ = '2.07'
 
 from subprocess import Popen, PIPE
 
     """,
     install_requires=['ply'],
     license='BSD',
-    version='2.06',
+    version='2.07',
     author='Eli Bendersky',
     maintainer='Eli Bendersky',
     author_email='eliben@gmail.com',